package com.friday.operation.api.distributor.constant;

public enum TaieJobRecordState {
    Unstart("Unstart","未启动"),
    Running("Running","运行中"),
    Success("Success","成功"),
    Fail("Fail","失败"),
    Terminate("Terminate","终止"),
    StartTimeout("StartTimeout","启动超时"),
    RunningTimeout("RunningTimeout","运行超时")
    ;

    private String state;
    private String desc;

    TaieJobRecordState(String state, String desc){
        this.state = state;
        this.desc = desc;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getDecs() {
        return desc;
    }

    public void setDecs(String desc) {
        this.desc = desc;
    }

}
